Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: odinn <[email-masked]>
Date: Tue, 18 Aug 2015 20:45:47 -0700

Tier ~

I don't think the XT author(s) are going to do what you are
describing.  Their recent release, at
https://github.com/bitcoinxt/bitcoinxt/blob/0.11A/README.md
doesn't show any sign of moving toward a version which would be
"increasing consensus." Instead, they ignore any meaningful process
and, as I have recently indicated, have created somthing which
"sidetrack(s) real discussion necessary to resolve the issues so as to
achieve some level of consensus in block size debates."

That doesn't rule out that the BIP authors can't work together and
create something meaningful and useful, though.  As I stated before,

"In my past message(s), I've suggested that Jeff's BIP 100
is a better alternative to Gavin's proposal(s), but that I didn't
think that this should be taken to mean that I am saying one thing is
"superior" to Gavin's work, rather, I emphasized that Gavin work with
Jeff and Adam."

I am also looking forward to seeing some visualizations or graphs of
the miner votes going on right now on BIP 100 and BIP 101, for example.

Regarding XT, my statement is simple:

"Do not download this loathsome XT thing. Cast it back into the fires
from whence it came."

- - Odinn

On 08/17/2015 06:15 AM, Tier Nolan via bitcoin-dev wrote:
> One of the comments made by the mining pools is that they won't run
> XT because it is "experimental".
> 
> Has there been any consideration to making available a version of
> XT with only the blocksize changes?
> 
> The least "experimental" version would be one that makes the
> absolute minimum changes to core.
> 
> The MAX_BLOCK_SIZE parameter could be overwritten whenever the
> longest tip changes.  This saves creating a new function.
> 
> Without the consensus measuring code, the patch would be even
> easier. Satoshi's proposal was just a block height comparison (a
> year in advance).
> 
> The state storing code is also another complication.  If the
> standard "counting" upgrade system was used, then no state would
> need to be stored in the database.
> 
> On Wed, Jul 1, 2015 at 11:49 PM, odinn
> <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> (My replies below)
> 
> On 06/26/2015 06:47 AM, Tier Nolan wrote:
>> On Thu, Jun 25, 2015 at 3:07 PM, Adam Back <[email-masked]
>> <mailto:[email-masked]> <mailto:[email-masked]
>> <mailto:[email-masked]>>> wrote:
> 
>> The hard-cap serves the purpose of a safety limit in case our 
>> understanding about the economics, incentives or game-theory is 
>> wrong worst case.
> 
> 
>> True.
> 
> Yep.
> 
> 
>> BIP 100 and 101 could be combined.  Would that increase
>> consensus?
> 
> Possibly ~ In my past message(s), I've suggested that Jeff's BIP
> 100 is a better alternative to Gavin's proposal(s), but that I
> didn't think that this should be taken to mean that I am saying one
> thing is "superior" to Gavin's work, rather, I emphasized that
> Gavin work with Jeff and Adam.
> 
> At least, at this stage the things are in a BIP process.
> 
> If the BIP 100 and BIP 101 would be combined, what would that look 
> like on paper?
> 
> 
>> - Miner vote threshold reached - Wait notice period or until 
>> earliest start time - Block size default target set to 1 MB -
>> Soft limit set to 1MB - Hard limit set to 8MB + double every 2
>> years - Miner vote to decide soft limit (lowest size ignoring
>> bottom 20% but 1MB minimum)
> 
>> Block size updates could be aligned with the difficulty setting 
>> and based on the last 2016 blocks.
> 
>> Miners could leave the 1MB limit in place initially.  The vote
>> is to get the option to increase the block size.
> 
>> Legacy clients would remain in the network until >80% of miners 
>> vote to raise the limit and a miner produces a >1MB block.
> 
>> If the growth rate over-estimates hardware improvements, the
>> devs could add a limit into the core client.  If they give notice
>> and enough users update, then miners would have to accept it.
> 
>> The block size becomes min(miner's vote, core devs).  Even if 4 
>> years notice is given, blocks would only be 4X optimal.
> 
> 
>> _______________________________________________ bitcoin-dev
>> mailing list [email-masked]
> <mailto:[email-masked]>
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 
> 
> 
> 
> 
> 
> _______________________________________________ bitcoin-dev mailing
> list [email-masked] 
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 

- -- 
http://abis.io ~
"a protocol concept to enable decentralization
and expansion of a giving economy, and a new social good"
https://keybase.io/odinn